<div id="demo" class="carousel slide" data-ride="carousel">
  <!-- Indicators -->
  <ul class="carousel-indicators">
    {% for event in events %}
      {%if events.index(event) == 0%}
        <li data-target="#demo" data-slide-to="events.index(event)" class="active"></li>
      {%else%}
        <li data-target="#demo" data-slide-to="events.index(event)"></li>
      {%endif%}
    {%endfor%}
  </ul>  
  <!-- The slideshow -->
  <div class="carousel-inner">
    {% for event in events %}
      {%if events.index(event) == 0%}
      <div class="carousel-item active">
        <img src="{{url_for('images.show_image', iid=event.banner)}}" alt="{{event.name}}" width="100%">
      </div>
      {%else%}
      <div class="carousel-item">
        <img src="{{url_for('images.show_image', iid=event.banner)}}" alt="{{event.name}}" width="100%">
      </div>
      {%endif%}
    {%endfor%}
  </div>
  <!-- Left and right controls -->
  <a class="carousel-control-prev" href="#demo" data-slide="prev">
    <span class="carousel-control-prev-icon"></span>
  </a>
  <a class="carousel-control-next" href="#demo" data-slide="next">
    <span class="carousel-control-next-icon"></span>
  </a> 
</div>
  